> ## Documentation Index
> Fetch the complete documentation index at: https://docs.biohub.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll batch protein lookup job status

> Check the status of an async batch protein lookup. Returns 200 with a zip download URL when complete, 202 when pending, 410 when expired.



## OpenAPI

````yaml openapi/metagenomic-atlas-openapi.json GET /esm/protein/api/v1alpha1/proteins/batch/jobs/{job_id}
openapi: 3.1.0
info:
  title: ESM Atlas API Reference
  description: Interfaces may change without notice.
  version: 0.1.0
servers:
  - url: https://biohub.ai
security: []
paths:
  /esm/protein/api/v1alpha1/proteins/batch/jobs/{job_id}:
    get:
      tags:
        - Proteins
      summary: Poll batch protein lookup job status
      description: >-
        Check the status of an async batch protein lookup. Returns 200 with a
        zip download URL when complete, 202 when pending, 410 when expired.
      operationId: >-
        get_batch_job_status_esm_protein_api_v1alpha1_proteins_batch_jobs__job_id__get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchProteinResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BatchProteinResponse:
      properties:
        status:
          type: string
          enum:
            - pending
            - completed
            - cancelled
            - failed
            - expired
          title: Status
          description: Job state. See description above for the meaning of each value.
        job_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Job Id
          description: Server-assigned id for this async job.
        poll_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Poll Url
          description: URL to poll for job status updates.
        download_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Download Url
          description: >-
            Time-limited URL for the result zip. Populated only when `status` is
            `completed`.
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
          description: ISO 8601 timestamp of job submission.
        completed_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Completed Count
          description: Number of proteins processed so far.
        total_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Count
          description: Total number of proteins in the job.
      type: object
      required:
        - status
      title: BatchProteinResponse
      description: >-
        Status of an async batch protein lookup job.


        Status meanings:


        - ``pending``: job submitted; poll ``poll_url`` for updates.

        - ``completed``: ``download_url`` provides a time-limited URL for the
        result zip.

        - ``cancelled``: caller cancelled the job via DELETE before it
        completed.

        - ``failed`` / ``expired``: the job did not complete successfully, or
        its
          results are no longer available for download.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````